<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.wifi.AddWifiPowerZone1Activity">

    <include
        android:id="@+id/il_add_wifi_zone1_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        style="@style/my_ScrollView_style"
        android:layout_weight="1">

        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/root_layout_style"
            android:orientation="vertical">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_second_bold_title_TextView_style"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/txt_power_saving_zone" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginHorizontal="@dimen/dp_42"
                android:layout_marginTop="@dimen/dp_12"
                android:text="@string/txt_power_saving_zone_tip"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14"
                app:lineHeight="@dimen/textSize20"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.MyWiFiSignalView
                android:id="@+id/sv_add_wifi_zone1_signal"
                android:layout_width="@dimen/dp_58"
                android:layout_height="@dimen/dp_58"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_40"
                app:circle_stroke_width="@dimen/dp_4"
                app:min_circle_radius="@dimen/dp_6"
                app:value_color="@color/black" />

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_28">

                <com.abbidot.tracker.widget.MyRoomView
                    android:id="@+id/rv_add_wifi_zone1_room"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_120"
                    android:layout_height="@dimen/dp_120"
                    android:layout_centerInParent="true"
                    android:layout_marginTop="@dimen/dp_58"
                    android:src="@drawable/icon_wifi_zone_head_bg" />

                <include
                    android:id="@+id/iv_add_wifi_zone1_pet_head"
                    layout="@layout/layout_head_image_view"
                    android:layout_width="@dimen/dp_58"
                    android:layout_height="@dimen/dp_58"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="@dimen/dp_53" />

            </RelativeLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>

    <include
        android:id="@+id/il_add_wifi_zone1_bluetooth_tips"
        layout="@layout/layout_ble_connect_state"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="@dimen/dp_42" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_add_wifi_zone1_next"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_marginBottom="@dimen/dp_6"
        android:text="@string/register_txt_next"
        android:visibility="gone"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_add_wifi_zone1_later_btn"
        style="@style/my_TextView_style_v2"
        android:layout_gravity="center"
        android:background="@drawable/selector_transparent_pressed"
        android:padding="@dimen/dp_16"
        android:text="@string/txt_later"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize12"
        app:typeface="@string/roboto_regular_font" />
</androidx.appcompat.widget.LinearLayoutCompat>